module Fwb
  module Commands
    class Base
      def execute!
        self
      end

      def output
        ''
      end

      def fwb_dir
        File.join(pwd, '.fwb')
      end

      def pwd
        @pwd || ENV['PWD']
      end

      def fwb_dir_exists?
        File.exists? fwb_dir
      end

      def current_file
        File.join(fwb_dir, 'current')
      end

      class Result
        attr_accessor :output

        def initialize(output)
          self.output = output
        end
      end
    end
  end
end
