module Fwb
  module Commands
    class Done < Base
      def self.from_argv(argv)
        new
      end

      def execute!
        return Result.new('fatal: Not a fwb backlog') unless fwb_dir_exists?
        return Result.new('fatal: The backlog is empty') if backlog_empty?

        current_tasks = File.read(current_file).lines.map(&:rstrip)
        result = Result.new("Finished task: #{current_tasks.first}")
        File.open(current_file, 'w') { |f| f.write (current_tasks.drop(1) + ['']).join("\n") }
        result
      end

      private

      def backlog_empty?
        File.read(current_file) == ""
      end
    end
  end
end
