module Fwb
  module Commands
    class Init < Base
      def self.from_argv(argv)
        new(ENV['PWD'])
      end

      attr_accessor :pwd

      def initialize(pwd)
        self.pwd = pwd
      end

      def execute!
        return Result.new("There is already a fwb backlog in #{pwd}") if fwb_dir_exists?

        Dir.mkdir fwb_dir
        FileUtils.touch current_file
        super
      end

      def output
        "Initialized empty fwb backlog in #{pwd}"
      end
    end
  end
end
