module Fwb
  module Commands
    class New < Base
      def self.from_argv(argv)
        new(argv[1])
      end

      attr_accessor :task_name

      def initialize(task_name)
        self.task_name = task_name
      end

      def execute!
        return Result.new('fatal: Not a fwb backlog') unless fwb_dir_exists?

        File.open(current_file, 'a') { |f| f.write "#{task_name}\n" }
        super
      end

      def output
        "Created task: #{task_name}"
      end
    end
  end
end
